// -*- C++ -*-
// $RCSfile: argv.C,v $
// $Revision: 1.3 $
// $Author: langer $
// $Date: 2005/09/18 18:56:09 $

/* This software was produced by NIST, an agency of the U.S. government,
 * and by statute is not subject to copyright in the United States.
 * Recipients of this software assume all responsibilities associated
 * with its operation, modification and maintenance. However, to
 * facilitate maintenance we ask that before distributing modified
 * versions of this software, you first contact the authors at
 * oof_manager@ctcms.nist.gov. 
 */

#include <oofconfig.h>

// Routines used to catch C++ signals and dump the current Python
// stack before bailing out.  TODO: Say what???  Is this comment from
// some other file?

#include <Python.h>
#include <string>
#include <signal.h>
#include <iostream>
#include <vector>
#include "argv.h"

static int argc;
static  char **argv;

void init_argv(std::vector<char*> *argh) {
  argc = argh->size();
  if (argc == 1)
    {
      argc = 1;
      argv = (char **)malloc(argc * sizeof(char *));
      argv[0] = "           ";
      return;
    }
  argv = (char **)malloc(argc * sizeof(char *));
  for(std::vector<char*>::size_type i=0; i<argh->size(); i++)
    {
      //std::cerr << (*argh)[i] << std::endl;
      argv[i] = (*argh)[i];
    }
}

char ** get_argv() {
  return argv;
}

int get_argc() {
  return argc;
}

// void stringtest(std::vector<char*> *argv) {
//   for(int i=0; i<argv->size(); i++)
//     std::cerr << (*argv)[i] << std::endl;
// }
