# -*- python -*- 
# $RCSfile: DIR.py,v $
# $Revision: 1.6 $
# $Author: langer $
# $Date: 2005/10/18 17:31:27 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modifed
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

dirname = 'IO'
clib = 'oof2engine'
subdirs = ['GUI']

cfiles = ['contour.C', 'propertyoutput.C', 'bdyflux.C']

swigfiles = ['contour.swg', 'propertyoutput.swg', 'bdyflux.swg']

pyfiles = ['analyze.py', 'analyzemenu.py', 'anisocijkl.py',
'boundarycondition.py', 'boundarymenu.py', 'contourdisplay.py',
'displaymethods.py', 'elementselectdisplay.py', 'isocijkl.py',
'materialmenu.py', 'meshIO.py', 'meshbdymenu.py', 'meshcsdisplay.py',
'meshcsparams.py', 'meshcstoolbox.py', 'meshinfo.py',
'meshinfodisplay.py', 'meshmenu.py', 'meshparameters.py',
'microstructuredisplay.py', 'movenode.py', 'movenodedisplay.py',
'nodeselectdisplay.py', 'orientationmatrix.py', 'outputClones.py',
'outputDefs.py', 'pinnodes.py', 'pinnodesdisplay.py',
'propertymenu.py', 'segmentselectdisplay.py', 'skeletonIO.py',
'skeletonIPC.py', 'skeletonbdydisplay.py', 'skeletongroupmenu.py',
'skeletongroupparams.py', 'skeletoninfo.py', 'skeletoninfodisplay.py',
'skeletonmenu.py', 'skeletonselectiontoolbox.py',
'skeletonselectmenu.py', 'solvermenu.py', 'profileIO.py',
'pinnodesmenu.py', 'materialmenuIPC.py', 'materialparameter.py',
'centerfilldisplay.py', 'subproblemmenu.py', 'problemmanagermenu.py']

swigpyfiles = ['contour.spy', 'propertyoutput.spy']

hfiles = ['contour.h', 'propertyoutput.h']
