# This file was created automatically by SWIG.
import orientationc
from oof2.SWIG.engine.properties import PropertyPtr
from oof2.SWIG.engine.eulerangle import EulerAnglePtr
class OrientationPropPtr(PropertyPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def eulerangle(self, *_args, **_kwargs):
        val = apply(orientationc.OrientationProp_eulerangle,(self,) + _args, _kwargs)
        if val: val = EulerAnglePtr(val) 
        return val
    def __repr__(self):
        return "<C OrientationProp instance at %s>" % (self.this,)
class OrientationProp(OrientationPropPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(orientationc.new_OrientationProp,_args,_kwargs)
        self.thisown = 1






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: orientation.spy,v $
# $Revision: 1.2 $
# $Author: langer $
# $Date: 2005/11/08 19:22:28 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

from oof2.common.IO import parameter
from oof2.common.IO import xmlmenudump
from oof2.engine import propertyregistration
from oof2.engine.IO import orientationmatrix

orientationReg = propertyregistration.PropertyRegistration(
   'Orientation', OrientationProp,
   "oof2.SWIG.engine.property.orientation.orientation",200,
   [parameter.ConvertibleRegisteredParameter(
    'angles', orientationmatrix.Orientation,
    orientationmatrix.Abg(0.0, 0.0, 0.0), tip=parameter.emptyTipString)],
   propertyType="Orientation",
   tip="Orientation of the crystalline axes.",
   discussion=xmlmenudump.loadFile('DISCUSSIONS/engine/property/orientation.xml')
   )


