# -*- python -*- 
# $RCSfile: DIR.py,v $
# $Revision: 1.9 $
# $Author: langer $
# $Date: 2005/12/27 22:13:48 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modifed
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

dirname = 'IO'
clib = 'oof2common'
subdirs = ['GUI']

cfiles = ['bitoverlay.C', 'stringimage.C',
'progressbar.C']

swigfiles = ['bitoverlay.swg', 'stringimage.swg',
'progressbar.swg']

pyfiles = ['activeareamodmenu.py', 'automatic.py', 'binarydata.py',
'bitmapdisplay.py', 'bitoverlaydisplay.py', 'colordiffparameter.py',
'colormap.py', 'datafile.py', 'destinationparam.py', 'display.py',
'genericselecttoolbox.py', 'gfxmanager.py', 'ghostgfxwindow.py',
'layereditor.py', 'mainmenu.py', 'menudump.py', 'menuparser.py',
'microstructureIO.py', 'microstructureIPC.py',
'microstructuremenu.py', 'oofmenu.py', 'output.py', 'outputdevice.py',
'parallelmainmenu.py', 'parameter.py', 'pixelgroupmenu.py',
'pixelgroupparam.py', 'pixelinfo.py', 'pixelinfodisplay.py',
'pixelselectionmenu.py', 'pixelselectiontoolbox.py',
'progressbar_delay.py', 'pdfoutput.py', 'questioner.py', 'reporter.py',
'reportermenu.py', 'scriptloader.py', 'selectionplaceholder.py',
'socket2me.py', 'threadmanager.py', 'threadmanagermenu.py',
'topwho.py', 'typename.py', 'viewertoolbox.py', 'whoville.py',
'words.py', 'reporterIO.py', 'xmlmenudump.py', 'automaticdoc.py',
'activeareamenu.py']

swigpyfiles = ['bitoverlay.spy', 'progressbar.spy']

hfiles = ['bitoverlay.h', 'stringimage.h', 'progressbar.h']

